Index: /cpp/frams/_demos/genooper_test_fTest.cpp
===================================================================
--- /cpp/frams/_demos/genooper_test_fTest.cpp	(revision 270)
+++ /cpp/frams/_demos/genooper_test_fTest.cpp	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/_demos/geometry/apices_test.cpp
===================================================================
--- /cpp/frams/_demos/geometry/apices_test.cpp	(revision 270)
+++ /cpp/frams/_demos/geometry/apices_test.cpp	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/_demos/geometry/geometrytestutils.cpp
===================================================================
--- /cpp/frams/_demos/geometry/geometrytestutils.cpp	(revision 270)
+++ /cpp/frams/_demos/geometry/geometrytestutils.cpp	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/_demos/geometry/geometrytestutils.h
===================================================================
--- /cpp/frams/_demos/geometry/geometrytestutils.h	(revision 270)
+++ /cpp/frams/_demos/geometry/geometrytestutils.h	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/_demos/geometry/info_test.cpp
===================================================================
--- /cpp/frams/_demos/geometry/info_test.cpp	(revision 270)
+++ /cpp/frams/_demos/geometry/info_test.cpp	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/_demos/geometry/surface_test.cpp
===================================================================
--- /cpp/frams/_demos/geometry/surface_test.cpp	(revision 270)
+++ /cpp/frams/_demos/geometry/surface_test.cpp	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/_demos/geometry/volume_test.cpp
===================================================================
--- /cpp/frams/_demos/geometry/volume_test.cpp	(revision 270)
+++ /cpp/frams/_demos/geometry/volume_test.cpp	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/config/version.h
===================================================================
--- /cpp/frams/config/version.h	(revision 270)
+++ /cpp/frams/config/version.h	(revision 271)
@@ -3,3 +3,3 @@
 // Refer to http://www.framsticks.com/ for further information.
 
-#define MAIN_REL_ID "4.0rc10"
+#define MAIN_REL_ID "4.0rc12"
Index: /cpp/frams/genetics/fT/oper_fTest.cpp
===================================================================
--- /cpp/frams/genetics/fT/oper_fTest.cpp	(revision 270)
+++ /cpp/frams/genetics/fT/oper_fTest.cpp	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/genetics/fT/oper_fTest.h
===================================================================
--- /cpp/frams/genetics/fT/oper_fTest.h	(revision 270)
+++ /cpp/frams/genetics/fT/oper_fTest.h	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/model/geometry/geometryutils.cpp
===================================================================
--- /cpp/frams/model/geometry/geometryutils.cpp	(revision 270)
+++ /cpp/frams/model/geometry/geometryutils.cpp	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/model/geometry/geometryutils.h
===================================================================
--- /cpp/frams/model/geometry/geometryutils.h	(revision 270)
+++ /cpp/frams/model/geometry/geometryutils.h	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/model/geometry/meshbuilder.cpp
===================================================================
--- /cpp/frams/model/geometry/meshbuilder.cpp	(revision 270)
+++ /cpp/frams/model/geometry/meshbuilder.cpp	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/model/geometry/meshbuilder.h
===================================================================
--- /cpp/frams/model/geometry/meshbuilder.h	(revision 270)
+++ /cpp/frams/model/geometry/meshbuilder.h	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/model/geometry/modelgeoclass.cpp
===================================================================
--- /cpp/frams/model/geometry/modelgeoclass.cpp	(revision 270)
+++ /cpp/frams/model/geometry/modelgeoclass.cpp	(revision 271)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 #include "modelgeoclass.h"
 #include "modelgeometryinfo.h"
Index: /cpp/frams/model/geometry/modelgeoclass.h
===================================================================
--- /cpp/frams/model/geometry/modelgeoclass.h	(revision 270)
+++ /cpp/frams/model/geometry/modelgeoclass.h	(revision 271)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 #ifndef _MODELGEOCLASS_H_
 #define _MODELGEOCLASS_H_
Index: /cpp/frams/model/geometry/modelgeometryinfo.cpp
===================================================================
--- /cpp/frams/model/geometry/modelgeometryinfo.cpp	(revision 270)
+++ /cpp/frams/model/geometry/modelgeometryinfo.cpp	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/model/geometry/modelgeometryinfo.h
===================================================================
--- /cpp/frams/model/geometry/modelgeometryinfo.h	(revision 270)
+++ /cpp/frams/model/geometry/modelgeometryinfo.h	(revision 271)
@@ -1,4 +1,4 @@
 // This file is a part of the Framsticks GDK.
-// Copyright (C) 2002-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: /cpp/frams/neuro/neurocls-f0-GDK-factory.h
===================================================================
--- /cpp/frams/neuro/neurocls-f0-GDK-factory.h	(revision 270)
+++ /cpp/frams/neuro/neurocls-f0-GDK-factory.h	(revision 271)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 
 // do not edit - generated automatically from "f0.def"
Index: /cpp/frams/neuro/neurocls-f0-GDK-library.h
===================================================================
--- /cpp/frams/neuro/neurocls-f0-GDK-library.h	(revision 270)
+++ /cpp/frams/neuro/neurocls-f0-GDK-library.h	(revision 271)
@@ -1,2 +1,6 @@
+// This file is a part of the Framsticks GDK.
+// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
+
 
 // do not edit - generated automatically from "f0.def"