Index: cpp/frams/virtfile/stringfile.cpp
===================================================================
--- cpp/frams/virtfile/stringfile.cpp	(revision 281)
+++ cpp/frams/virtfile/stringfile.cpp	(revision 282)
@@ -9,70 +9,74 @@
 size_t StringFILE::Vread(void *ptr, size_t size, size_t nmemb)
 {
-int have=(int)(str.len()-pos);
-if (have<=0) return 0;
-int need=(int)(size*nmemb);
-if (need>have) {nmemb=have/size; need=(int)(size*nmemb);}
-memcpy(ptr,((const char*)str)+pos,need);
-pos+=need;
-return nmemb;
+	int have = (int)(str.len() - pos);
+	if (have <= 0) return 0;
+	int need = (int)(size*nmemb);
+	if (need > have) { nmemb = have / size; need = (int)(size*nmemb); }
+	memcpy(ptr, ((const char*)str) + pos, need);
+	pos += need;
+	return nmemb;
 }
 
 int StringFILE::Vgetc()
 {
-if (pos >= str.len()) //...i znowu byl bug roku! :O
-	return EOF;
-else
-	return str.operator[]((int)pos++);
+	if (pos >= str.len()) //...i znowu byl bug roku! :O
+		return EOF;
+	else
+		return str.operator[]((int)pos++);
 }
 
 char *StringFILE::Vgets(char *s, int size)
 {
-int have=str.len()-(int)pos;
-if (have<=0) return 0;
-if (size<0) size=0;
-if (have>size) have=size-1;
-const char* src=((const char*)str)+pos;
-char *dest=s;
-while(have-- > 0)
+	int have = str.len() - (int)pos;
+	if (have <= 0) return 0;
+	if (size < 0) size = 0;
+	if (have > size) have = size - 1;
+	const char* src = ((const char*)str) + pos;
+	char *dest = s;
+	while (have-- > 0)
 	{
-	*(dest++) = *(src++); pos++;
-	if (dest[-1]=='\n') break;
+		*(dest++) = *(src++); pos++;
+		if (dest[-1] == '\n') break;
 	}
-*dest=0;
-return s;
+	*dest = 0;
+	return s;
 }
 
 int StringFILE::Vseek(long offset, int whence)
 {
-switch(whence)
+	switch (whence)
 	{
-	case SEEK_SET: pos=offset; break;
-	case SEEK_CUR: pos+=offset; break;
-	case SEEK_END: pos=str.len()-offset; break;
+	case SEEK_SET: pos = offset; break;
+	case SEEK_CUR: pos += offset; break;
+	case SEEK_END: pos = str.len() - offset; break;
 	default: return EINVAL;
 	}
-if (pos < 0) pos=0; else if (pos>str.len()) pos=str.len();
-return 0;
+	if (pos < 0) pos = 0; else if (pos>str.len()) pos = str.len();
+	return 0;
 }
 
-const char StringFileSystem::PREFIX[]="string://";
+const char StringFileSystem::PREFIX[] = "string://";
 
 bool StringFileSystem::isStringPath(const char* path)
 {
-return !strncmp(path,PREFIX,sizeof(PREFIX)-1);
+	return !strncmp(path, PREFIX, sizeof(PREFIX) - 1);
 }
 
-VirtFILE *StringFileSystem::Vfopen(const char* path,const char*mode)
+VirtFILE *StringFileSystem::Vfopen(const char* path, const char*mode)
 {
-if ((*mode=='r') && isStringPath(path))
+	if ((*mode == 'r') && isStringPath(path))
 	{
-	return new StringFILE2(SString(path+sizeof(PREFIX)-1));
+		return new StringFILE2(SString(path + sizeof(PREFIX) - 1));
 	}
-return (chain!=NULL) ? chain->Vfopen(path,mode) : NULL;
+	return (chain != NULL) ? chain->Vfopen(path, mode) : NULL;
 }
 
 int StringFileSystem::Vfexists(const char* path)
-{ return (chain!=NULL) ? chain->Vfexists(path) : 0; }
+{
+	return (chain != NULL) ? chain->Vfexists(path) : 0;
+}
 
 VirtDIR *StringFileSystem::Vopendir(const char* path)
-{ return (chain!=NULL) ? chain->Vopendir(path) : NULL; }
+{
+	return (chain != NULL) ? chain->Vopendir(path) : NULL;
+}
Index: cpp/frams/virtfile/stringfile.h
===================================================================
--- cpp/frams/virtfile/stringfile.h	(revision 281)
+++ cpp/frams/virtfile/stringfile.h	(revision 282)
@@ -9,43 +9,43 @@
 #include <frams/util/sstring.h>
 
-class StringFILE: public VirtFILE
+class StringFILE : public VirtFILE
 {
-  protected:
-SString& str;
-long pos;
-  public:
-StringFILE(SString& s):str(s),pos(0) {}
-size_t Vread(void *ptr, size_t size, size_t nmemb);
-size_t Vwrite(const void *ptr, size_t size, size_t nmemb) {str.append((const char*)ptr,(int)(size*nmemb)); return size*nmemb;}
-int Veof() {return pos>=str.len();}
-int Vputc(int c) {str+=(char)c; return c;}
-int Vputs(const char *s) {str.append(s,(int)strlen(s)); return 0;}
-int Vgetc();
-char *Vgets(char *s, int size);
-int Vseek(long offset, int whence);
-long Vtell() {return pos;}
-int Vflush() {return 0;}
+protected:
+	SString& str;
+	long pos;
+public:
+	StringFILE(SString& s) :str(s), pos(0) {}
+	size_t Vread(void *ptr, size_t size, size_t nmemb);
+	size_t Vwrite(const void *ptr, size_t size, size_t nmemb) { str.append((const char*)ptr, (int)(size*nmemb)); return size*nmemb; }
+	int Veof() { return pos >= str.len(); }
+	int Vputc(int c) { str += (char)c; return c; }
+	int Vputs(const char *s) { str.append(s, (int)strlen(s)); return 0; }
+	int Vgetc();
+	char *Vgets(char *s, int size);
+	int Vseek(long offset, int whence);
+	long Vtell() { return pos; }
+	int Vflush() { return 0; }
 };
 
 /** this version owns the string object */
-class StringFILE2: public StringFILE
+class StringFILE2 : public StringFILE
 {
-SString string;
-  public:
-StringFILE2(const SString& s):StringFILE(string),string(s) {}
-StringFILE2():StringFILE(string) {}
-const SString& getString() {return string;}
+	SString string;
+public:
+	StringFILE2(const SString& s) :StringFILE(string), string(s) {}
+	StringFILE2() :StringFILE(string) {}
+	const SString& getString() { return string; }
 };
 
-class StringFileSystem: public VirtFileSystem
+class StringFileSystem : public VirtFileSystem
 {
-  public:
-VirtFileSystem *chain;
-StringFileSystem(VirtFileSystem *_chain=NULL):chain(_chain) {}
-VirtFILE *Vfopen(const char* path,const char*mode);
-int Vfexists(const char* path);
-VirtDIR *Vopendir(const char* path);
-static const char PREFIX[];
-static bool isStringPath(const char* path);
+public:
+	VirtFileSystem *chain;
+	StringFileSystem(VirtFileSystem *_chain = NULL) :chain(_chain) {}
+	VirtFILE *Vfopen(const char* path, const char*mode);
+	int Vfexists(const char* path);
+	VirtDIR *Vopendir(const char* path);
+	static const char PREFIX[];
+	static bool isStringPath(const char* path);
 };
 