Index: cpp/LICENSE.txt
===================================================================
--- cpp/LICENSE.txt	(revision 286)
+++ cpp/LICENSE.txt	(revision 287)
@@ -1,5 +1,5 @@
-If you use any part of Framsticks GDK for a project which is not
-a part of Framsticks software, please explicitly acknowledge GDK
-and make a link to Framsticks: www.framsticks.com
+If you use any part of Framsticks SDK in a project which is not
+a part of Framsticks software, please explicitly acknowledge Framsticks SDK
+and provide a link to www.framsticks.com
 
 ---
Index: cpp/README.txt
===================================================================
--- cpp/README.txt	(revision 286)
+++ cpp/README.txt	(revision 287)
@@ -1,10 +1,10 @@
-____________________ Building GDK test applications ____________________
+_______________ Building SDK demos and test applications ________________
 
-make -f frams/Makefile-GDK gdk_tests
+make -f frams/Makefile-SDK sdk_tests
 
 
 Even if you don't use 'make', you can create a project for your favorite
 development environment. The sources should compile under *nixes, macos,
-windows (visual c++, borland), cygwin, android, ios, tizen, and bada.
+windows (visual c++, borland/embarcadero), cygwin, android, ios, and tizen.
 
 
@@ -13,6 +13,6 @@
    +- common         - general compatibility layer, utilities
    +- frams          - framsticks modules
-      +- _demos      - GDK test applications
-      +- config      - GDK elements declarations
+      +- _demos      - SDK test applications
+      +- config      - SDK elements declarations
       +- errmgr      - error manager (logging/messaging)
       +- genetics    - genetic operators and converters between formats
Index: cpp/frams/_demos/gdk_test.cpp
===================================================================
--- cpp/frams/_demos/gdk_test.cpp	(revision 286)
+++ cpp/frams/_demos/gdk_test.cpp	(revision 287)
@@ -268,5 +268,5 @@
 {
 srand(time(0));
-printNiceBanner("Welcome to GDK test application!");
+printNiceBanner("Welcome to Genotype manipulation test application!");
 
 findingConverters();
Index: cpp/frams/genetics/f1/conv_f1.h
===================================================================
--- cpp/frams/genetics/f1/conv_f1.h	(revision 286)
+++ cpp/frams/genetics/f1/conv_f1.h	(revision 287)
@@ -26,8 +26,8 @@
  Final f0 genotype is generated by model class.
 
- <b>GDK 1.0.5 NN extension: (for Framsticks 2.0)</B>
+ <b>SDK 1.0.5 NN extension: (for Framsticks 2.0)</B>
 
  Until now, only the "standard" Framsticks v1 neuron classes could be used.
- Starting with GDK 1.0.5 you can use all neuron types.
+ Starting with SDK 1.0.5 you can use all neuron types.
 
  \b Syntax: [classname , input_or_parameter:weight , input_or_parameter:weight , ...]
Index: cpp/frams/genetics/f4/conv_f4.cpp
===================================================================
--- cpp/frams/genetics/f4/conv_f4.cpp	(revision 286)
+++ cpp/frams/genetics/f4/conv_f4.cpp	(revision 287)
@@ -4,5 +4,4 @@
 
 // Copyright (C) 1999,2000  Adam Rotaru-Varga (adam_rotaru@yahoo.com), GNU LGPL
-// Copyright (C) since 2001 Maciej Komosinski
 
 #include "conv_f4.h"
@@ -140,5 +139,5 @@
 
 
-/// updated by Macko to follow new GDK standards (no more neuroitems)
+/// updated by Macko to follow new SDK standards (no more neuroitems)
 int f4_Model::buildModelRec(f4_Cell * C)
 {
Index: cpp/frams/genetics/f4/f4_general.cpp
===================================================================
--- cpp/frams/genetics/f4/f4_general.cpp	(revision 286)
+++ cpp/frams/genetics/f4/f4_general.cpp	(revision 287)
@@ -4,5 +4,4 @@
 
 // Copyright (C) 1999,2000  Adam Rotaru-Varga (adam_rotaru@yahoo.com), GNU LGPL
-// Copyright (C) since 2001 Maciej Komosinski
 
 #include "f4_general.h"
@@ -655,5 +654,5 @@
 			else {
 				zrot = Padj.curv +
-					// GDK uses 3.141 instead of PI!
+					// SDK uses 3.141 instead of PI!
 					(anglepos * 1.0 / (dadlink->commacount + 1) - 0.5) * 3.141 * 2.0;
 			}
Index: cpp/frams/genetics/oper_fx.h
===================================================================
--- cpp/frams/genetics/oper_fx.h	(revision 286)
+++ cpp/frams/genetics/oper_fx.h	(revision 287)
@@ -72,5 +72,5 @@
 be returned when an operator cannot cope with its argument genotype.
 
-To compile your code, you may also need some GDK files.
+To compile your code, you may also need some SDK files.
 A simple example is Geno_ftest class (see \ref geno_ftest_example "C++ code" for details).
 A more realistic example is Geno_f4 derived from Geno_fx: refer to